Partners

Update Partner User Token

Update a partner user token

post
/v1/partner/user/{userId}/token/{tokenId}/update

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

userIdstring* Required

The ID of the user

tokenIdstring* Required

The ID of the user token to update

Request Body * Required

Request Body Schema: application/json

namestring

The name of the token

descriptionstring

The description of the token

configobject

Token configuration

metaobject

Custom metadata for the token

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.partner.user.token.update(

userId, tokenId,
{
"name":"string",
"description":"string",
"config":"object",
"meta":"object"
}
)
{
"id":"string"
}
The user token was updated successfully